Package weka.classifiers

# Class RandomizableMultipleClassifiersCombiner

java.lang.Object
weka.classifiers.Classifier
weka.classifiers.MultipleClassifiersCombiner
weka.classifiers.RandomizableMultipleClassifiersCombiner

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `OptionHandler`, `Randomizable`, `RevisionHandler`

Direct Known Subclasses:
  `MultiScheme`, `Stacking`, `Vote`

public abstract class RandomizableMultipleClassifiersCombiner extends MultipleClassifiersCombiner implements Randomizable
Abstract utility class for handling settings common to randomizable meta classifiers that build an ensemble from multiple classifiers based on a given random number seed.

Version:
  $Revision: 1.4 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RandomizableMultipleClassifiersCombiner()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getOptions()`
Gets the current settings of the classifier.
`int`
`getSeed()`
Gets the seed for the random number generations
`Enumeration`
`listOptions()`
Returns an enumeration describing the available options.
`String`
`seedTipText()`
Returns the tip text for this property
`void`
`setOptions(String[] options)`
Parses a given list of options.
`void`
`setSeed(int seed)`
Set the seed for random number generation.

### Methods inherited from class weka.classifiers.MultipleClassifiersCombiner

`classifiersTipText, getCapabilities, getClassifier, getClassifiers, setClassifiers`

### Methods inherited from class weka.classifiers.Classifier

`buildClassifier, classifyInstance, debugTipText, distributionForInstance, forName, getDebug, getRevision, makeCopies, makeCopy, setDebug`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RandomizableMultipleClassifiersCombiner

public RandomizableMultipleClassifiersCombiner()

## Method Details

### listOptions

public Enumeration listOptions()
Returns an enumeration describing the available options.

Specified by:
  `listOptions` in interface `OptionHandler`
Overrides:
  `listOptions` in class `MultipleClassifiersCombiner`
Returns:
  an enumeration of all the available options.

### setOptions

public void setOptions(String[] options) throws Exception
Parses a given list of options. Valid options are:

-B classifierstring
Classifierstring should contain the full class name of a scheme included for selection followed by options to the classifier (required, option should be used once for each classifier).

-S num
Set the random number seed (default 1).

Specified by:
  `setOptions` in interface `OptionHandler`
Overrides:
  `setOptions` in class `MultipleClassifiersCombiner`
Parameters:
  `options` - the list of options as an array of strings
Throws:
  `Exception` - if an option is not supported

### getOptions

public String[] getOptions()
Gets the current settings of the classifier.

Specified by:
  `getOptions` in interface `OptionHandler`
Overrides:
  `getOptions` in class `MultipleClassifiersCombiner`
Returns:
  an array of strings suitable for passing to setOptions

### seedTipText

public String seedTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setSeed

public void setSeed(int seed)
Set the seed for random number generation.

Specified by:
  `setSeed` in interface `Randomizable`
Parameters:
  `seed` - the seed

### getSeed

public int getSeed()
Gets the seed for the random number generations

Specified by:
  `getSeed` in interface `Randomizable`
Returns:
  the seed for the random number generation